<?php
/**
 * @category    Payment
 * @author      Global Payments Europe s.r.o. (emailgpwebpay@gpe.cz)
 */

chdir('../../');

// set order-status 0 (not validated)
define('MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_NOT_VALIDATED', 0);
// set order-status 1 (pending)
define('MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_PENDING', 1);
// set order-status 2 (processing)
define('MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_SUCCESS', 2);
// set order-status 99 (canceled)
define('MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_FAILED', 99);  //canceled

require_once('includes/application_top.php');
require_once('includes/modules/payment/gpwebpay.php');
$gpwebpay = new gpwebpay_core();

$status = 'failed';
$orderId = null;
if(isset($_GET['RESULTTEXT']))
{
    $resultText = isset($_GET['RESULTTEXT']) ? $_GET['RESULTTEXT'] : null;
    $merchantOrderNumber = isset($_GET['MERORDERNUM']) ? $_GET['MERORDERNUM'] : null;
    $prcode = isset($_GET['PRCODE']) ? $_GET['PRCODE'] : null;
    $srcode = isset($_GET['SRCODE']) ? $_GET['SRCODE'] : null;
    
    $getResponse = $_GET;
    $resultIsValid = $gpwebpay->isResponseValid($getResponse);
    
    $transactionDetail = $gpwebpay->get_gpwebpay_transaction_by_order_number($merchantOrderNumber);
    $orderId = $transactionDetail['gp_order_id'];
    
    if($resultIsValid && $prcode == '0' && $srcode == '0')
        $status = 'success';
    else if($resultIsValid && $prcode == '50' && $srcode == '0')
        $status = 'canceled';
    else
        $status = 'failed';
}
else{
    $resultText = "No reply from 3D secure server";
}

switch ($status) {
    case 'success':
        $order_status = MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_SUCCESS;
        if(defined("MODULE_PAYMENT_GPWEBPAY_PAY_ORDER_STATUS_ID"))
            $order_status = constant("MODULE_PAYMENT_GPWEBPAY_PAY_ORDER_STATUS_ID");
        $_SESSION['cart']->reset(true);
        
        $coo_send_order_process = MainFactory::create_object('SendOrderProcess');
        $coo_send_order_process->set_('order_id', $orderId);
        $mailOk = $coo_send_order_process->proceed();
        
        $link = xtc_href_link(FILENAME_CHECKOUT_SUCCESS, '', 'SSL');
        break;

    case 'canceled':
        $order_status = MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_FAILED;
        $link = xtc_href_link('checkout_gpwebpay_checkout_page.php', 'canceled=1&amp;result='.$resultText, 'SSL');
        break;
    
    case 'failed':
        $order_status = MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_FAILED;
        $link = xtc_href_link('checkout_gpwebpay_checkout_page.php', 'failed=1&amp;result='.$resultText, 'SSL');
        break;

    default:
        $order_status = MODULE_PAYMENT_GPWEBPAY_ORDER_STATUS_FAILED;
        $link = xtc_href_link('checkout_gpwebpay_checkout_page.php', 'failed=1&amp;result='.$resultText, 'SSL');
}

if(!is_null($orderId))
{
    $sql = xtc_db_query('UPDATE ' . TABLE_ORDERS . ' SET orders_status=\'' . xtc_db_input($order_status) . '\' WHERE orders_id=\'' . $orderId . '\';' );
}

xtc_db_close();
?>
<html>
<head>
</head>
<body onLoad="window.parent.location.href = '<?php echo $link; ?>'">
</body>
</html>