<?php
/**
 * @category    Payment
 * @author      Global Payments Europe s.r.o. (emailgpwebpay@gpe.cz)
 */

require_once('includes/application_top.php');

$GLOBALS['breadcrumb']->add(NAVBAR_TITLE_1_CHECKOUT_SUCCESS);

// if the customer is not logged on, redirect them to the shopping cart page
if(isset($_SESSION['customer_id']) === false)
{
    xtc_redirect(xtc_href_link(FILENAME_SHOPPING_CART));
}

$smarty = new Smarty;
$smarty->assign('language', $_SESSION['language']);

$coo_lang_file_master = MainFactory::create_object('LanguageTextManager', array(), true);
$coo_lang_file_master->init_from_lang_file('lang/'.strtolower($_SESSION['language']).'/modules/payment/gpwebpay.php');

if(isset($_GET['canceled']))
{
    $smarty->assign('CHECKOUT_TITLE', CHECKOUT_CANCEL_TITLE);
    $smarty->assign('CHECKOUT_HEADER', CHECKOUT_CANCEL_HEADER);
    $smarty->assign('CHECKOUT_CONTENT', CHECKOUT_CANCEL_CONTENT);
    $smarty->assign('CHECKOUT_RESULT', $_GET['result']);
    $smarty->assign('SHOW_STEPS', false);
}
elseif(isset($_GET['failed']))
{
    $smarty->assign('CHECKOUT_TITLE', CHECKOUT_FAILURE_TITLE);
    $smarty->assign('CHECKOUT_HEADER', CHECKOUT_FAILURE_HEADER);
    $smarty->assign('CHECKOUT_CONTENT', CHECKOUT_FAILURE_CONTENT);
    $smarty->assign('CHECKOUT_RESULT', $_GET['result']);
    $smarty->assign('SHOW_STEPS', false);
}

$smarty->assign('BUTTON_CONTINUE', IMAGE_BUTTON_CONTINUE);

$smarty->assign('tpl_path', 'templates/'.CURRENT_TEMPLATE.'/');
$smarty->caching = 0;
$t_main_content = $smarty->fetch(CURRENT_TEMPLATE.'/module/checkout_gpwebpay_checkout_page.html');

$coo_layout_control = MainFactory::create_object('LayoutContentControl');
$coo_layout_control->set_data('GET', $_GET);
$coo_layout_control->set_data('POST', $_POST);
$coo_layout_control->set_('coo_breadcrumb', $GLOBALS['breadcrumb']);
$coo_layout_control->set_('coo_product', $GLOBALS['product']);
$coo_layout_control->set_('coo_xtc_price', $GLOBALS['xtPrice']);
$coo_layout_control->set_('c_path', $GLOBALS['cPath']);
$coo_layout_control->set_('main_content', $t_main_content);
$coo_layout_control->set_('request_type', $GLOBALS['request_type']);
$coo_layout_control->proceed();

$t_redirect_url = $coo_layout_control->get_redirect_url();
if(empty($t_redirect_url) === false)
{
    xtc_redirect($t_redirect_url);
}
else
{
    echo $coo_layout_control->get_response();
}
